com.sun.grid.jgdi.util.shell.editor

## Class EditorParser

- java.lang.Object
- - com.sun.grid.jgdi.util.shell.editor.EditorParser

-     public class EditorParser
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditorParser()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<java.util.List<java.lang.String>>` | `tokenizeToList(java.lang.String text)` Removes whitespaces.
    `static java.lang.String` | `trimText(java.lang.String text)` Removes whitespaces.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EditorParser

          public EditorParser()

  - ### Method Detail

    - #### trimText

          public static java.lang.String trimText(java.lang.String text)
                                           throws java.io.IOException

      Removes whitespaces. Text is now separed with single ' '. Lines ending with \\ are join to one
      Throws:
        `java.io.IOException`

    - #### tokenizeToList

          public static java.util.List<java.util.List<java.lang.String>> tokenizeToList(java.lang.String text)

      Removes whitespaces. Lines ending with \\ are join to one.
      Returns:
        List of lines cointaing a list of elements

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.